﻿;======================================================================
; Module/File:     Button_SetRelief.pb
; Function:        Button: Show Button with available reliefs - Linux
; Author:          Oma (Charly Bauer)
; Date:            July 16, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22
; Target OS:       Linux - Ubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

EnableExplicit

#MainWin= 0

Enumeration
	#myButton1
	#myButton2
	#myButton3
EndEnumeration

Global.i gEvent, gQuit


If OpenWindow(#MainWin, #PB_Ignore, #PB_Ignore, 250, 250, "Linux-Test Button with image")
	ButtonGadget(#myButton1, 5, 5, 150, 30, "   Button Relief Normal", #PB_Button_Toggle)
	ButtonGadget(#myButton2, 5, 40, 150, 30, "   Button Relief half")
	ButtonGadget(#myButton3, 5, 75, 150, 50, "   Button Relief none")
	
	gtk_button_set_relief_(GadgetID(#myButton1), #GTK_RELIEF_NORMAL)
	gtk_button_set_relief_(GadgetID(#myButton2), #GTK_RELIEF_HALF)
	gtk_button_set_relief_(GadgetID(#myButton3), #GTK_RELIEF_NONE)
	
	
Else
	End
EndIf

Repeat
	gEvent = WaitWindowEvent()
	If EventWindow()= #MainWin
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
	EndIf
Until gQuit


End
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 14
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/