﻿;======================================================================
; Module/File:     Calendar_Options.pb - Linux
; Function:        Calendar: CalendarGadget mit Linux Options, setzt Markierung - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 15, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

;see GtkCalendarDisplayOptions ...
;   #GTK_CALENDAR_SHOW_HEADING
;   #GTK_CALENDAR_SHOW_DAY_NAMES
;   #GTK_CALENDAR_NO_MONTH_CHANGE
;   #GTK_CALENDAR_SHOW_WEEK_NUMBERS
;   #GTK_CALENDAR_SHOW_DETAILS;        not PB-defined

; Object constants
#MainWin= 0
#Cal1= 0
#Cal2= 1

#WinX= 200
#WinY= 200
#WinW= 500
#WinH= 400

Global.l gEvent, gQuit

Procedure CreateWindow_Main()
	Protected.l I, O
	Protected *Column
	#Img1= 0
	#Img2= 1
	If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "calendar-DisplayOptions", #PB_Window_SystemMenu)
		CalendarGadget(#Cal1, 5, 5, 200, 200)
		CalendarGadget(#Cal2, 205, 5, 200, 200)
		gtk_calendar_set_display_options_(GadgetID(#Cal2), #GTK_CALENDAR_SHOW_DAY_NAMES | #GTK_CALENDAR_NO_MONTH_CHANGE | #GTK_CALENDAR_SHOW_WEEK_NUMBERS)
		gtk_calendar_mark_day_(GadgetID(#Cal2), 18);           setzt Markierung auf 18. dieses Monats (Fettschrift)
	EndIf

EndProcedure

CreateWindow_Main()

Repeat
	gEvent= WaitWindowEvent()

	Select gEvent
		Case #PB_Event_CloseWindow
			gQuit= #True
	EndSelect
	
Until gQuit
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 10
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/