﻿;======================================================================
; Module/File:     Editor_CursorShow&Hide.pb - Linux
; Function:        EditorGadget: schaltet Cursordarstellung ein und aus - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 17, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

; Object constants
#MainWin= 0
#Bt1    = 0
#Edt1   = 1

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.l gEvent, gQuit
Global.s S= "Dies ist ein mehrzeiliger Text in dem das" + #LF$ + "Ein- und Auschalten der Cursordarstellung" + #LF$ + "innerhalb eines EditorGadgets per Toggle-" + #LF$ + 
            "Button gezeigt wird, da die Darstellung" + #LF$ + "eines Cursors innerhalb eines'read-only'-" + #LF$ + "Textes wenig Sinn macht!"


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - Cursor On / Off", #PB_Window_SystemMenu)
	ButtonGadget(#Bt1, 5, 3, 100, 25, "Cursor Off", #PB_Button_Toggle)
	EditorGadget(#Edt1, 5, 30, #WinW-10, #WinH-35, #PB_Editor_ReadOnly)
	AddGadgetItem(#Edt1, -1, S)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				If EventGadget()= #Bt1
					If GetGadgetState(#Bt1)
						gtk_text_view_set_cursor_visible_(GadgetID(#Edt1), #False)
					Else
						gtk_text_view_set_cursor_visible_(GadgetID(#Edt1), #True)
					EndIf
				EndIf
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 26
; FirstLine = 14
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/