﻿;======================================================================
; Module/File:     FrameGadget_FrameTypes.pb - Linux
; Function:        Linux: show all FrameGadget frame-types
; Author:          Oma (Charly Bauer)
; Date:            Juli 12, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

If OpenWindow(0, 0, 0, 320, 310, "FrameGadget", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	FrameGadget(0, 10,  10, 300, 50, "FrameGadget #GTK_SHADOW_NONE")
	FrameGadget(1, 10,  70, 300, 50, "FrameGadget #GTK_SHADOW_IN")
	FrameGadget(2, 10, 130, 300, 50, "FrameGadget #GTK_SHADOW_OUT")
	FrameGadget(3, 10, 190, 300, 50, "FrameGadget #GTK_SHADOW_ETCHED_IN")
	FrameGadget(4, 10, 250, 300, 50, "FrameGadget #GTK_SHADOW_ETCHED_OUT")
	
	gtk_frame_set_shadow_type_(GadgetID(1), #GTK_SHADOW_IN)
	gtk_frame_set_shadow_type_(GadgetID(2), #GTK_SHADOW_OUT)
	gtk_frame_set_shadow_type_(GadgetID(3), #GTK_SHADOW_ETCHED_IN)
	gtk_frame_set_shadow_type_(GadgetID(4), #GTK_SHADOW_ETCHED_OUT)
	
	Repeat
	Until WaitWindowEvent() = #PB_Event_CloseWindow
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 8
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/