﻿;======================================================================
; Module/File:     LIG_Scroll2Point.pb - Linux
; Function:        LIG: scrollt Zeile nach oben ohne Selektion, nutzt rel. Punkt-Koordinaten - Linux
;                  Need constant lineheights
; Author:          Shardik, Oma (Charly Bauer)
; Date:            July 09, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

Global.l I


Procedure TV_ScrollToPoint(Gadget, Item);                  Scrollt zu Zeile, Erfragte Zeilenhöhe wg. Systemzeichensatz (Alle Zeilen müssen gleich hoch sein) 
	Protected *tPath, *tColumn, Rect.GdkRectangle
	If Item< 0 : ProcedureReturn : EndIf
	gtk_tree_view_get_path_at_pos_(GadgetID(Gadget), 5, 5, @*tPath, @*tColumn, #Null, #Null)
	gtk_tree_view_get_cell_area_ (GadgetID(Gadget), *tPath, *tColumn, Rect)
	gtk_tree_view_scroll_to_point_(GadgetID(Gadget), -1, Item * Rect\height)
	gtk_tree_path_free_(*tPath)
EndProcedure


If OpenWindow(0, 100, 200, 130, 130, "Scroll to point", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ListIconGadget(0, 5, 5, WindowWidth(0) - 10, WindowHeight(0) - 40, "Spalte 1", 60)
	SpinGadget(1, 5, WindowHeight(0)- 30, 50, 25, 1, 100, #PB_Spin_Numeric)
	SetGadgetState(1, 1)
	SetGadgetText(1, Str(GetGadgetState(1)))
	ButtonGadget(2, 55, WindowHeight(0) - 30, 70, 25, "Anzeigen")
	For I= 1 To 100
		AddGadgetItem(0, -1, "Zeile " + Str(i))
	Next I
	
	Repeat
		Event = WaitWindowEvent()
		
		If Event = #PB_Event_Gadget
			Select EventGadget()
				Case 1
					SetGadgetState(1, Val(GetGadgetText(1)))
				Case 2
					CompilerSelect #PB_Compiler_OS
						CompilerCase #PB_OS_Linux
							TV_ScrollToPoint(Gadget, GetGadgetState(1)-1)
							;gtk_tree_view_scroll_to_point_(GadgetID(0), -1, (GetGadgetState(1)-1) * 21);   Fixe Zeilenhöhe
						CompilerCase #PB_OS_Windows
							SendMessage_(GadgetID(0), #LVM_ENSUREVISIBLE, GetGadgetState(1), #True)
					CompilerEndSelect
			EndSelect
		EndIf
	Until Event= #PB_Event_CloseWindow
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 23
; Folding = -
; EnableXP
; DisableDebugger
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/