﻿ImportC ""
	g_get_user_runtime_dir()
	g_get_user_special_dir(directory)
	g_get_host_name()
EndImport

EnableExplicit

Enumeration GUserDirectory
	#G_USER_DIRECTORY_DESKTOP
	#G_USER_DIRECTORY_DOCUMENTS
	#G_USER_DIRECTORY_DOWNLOAD
	#G_USER_DIRECTORY_MUSIC
	#G_USER_DIRECTORY_PICTURES
	#G_USER_DIRECTORY_PUBLIC_SHARE
	#G_USER_DIRECTORY_TEMPLATES
	#G_USER_DIRECTORY_VIDEOS
EndEnumeration

; object constants
#MainWin= 0

#WinX=300
#WinY=200
#WinW=800
#WinH=400

Global.l gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Get System-Userdata", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ListIconGadget(0, 5, 5, #WinW- 10, #WinH- 10, "Datatype", 360)
	AddGadgetColumn(0, 1, "Data", 300)
	
	AddGadgetItem(0, -1, "user_name" + #LF$ + PeekS(g_get_user_name_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "real_name" + #LF$ + PeekS(g_get_real_name_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_data_dir" + #LF$ + PeekS(g_get_user_data_dir_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_cache_dir" + #LF$ + PeekS(g_get_user_cache_dir_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_config_dir" + #LF$ + PeekS(g_get_user_config_dir_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_runtime_dir" + #LF$ + PeekS(g_get_user_runtime_dir(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_DESKTOP" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_DESKTOP), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_DOCUMENTS" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_DOCUMENTS), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_DOWNLOAD" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_DOWNLOAD), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_MUSIC" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_MUSIC), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_PICTURES" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_PICTURES), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_PUBLIC_SHARE" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_PUBLIC_SHARE), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_TEMPLATES" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_TEMPLATES), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "user_special_dir - #G_USER_DIRECTORY_VIDEOS" + #LF$ + PeekS(g_get_user_special_dir(#G_USER_DIRECTORY_VIDEOS), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "host_name" + #LF$ + PeekS(g_get_host_name(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "home_dir" + #LF$ + PeekS(g_get_home_dir_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "tmp_dir" + #LF$ + PeekS(g_get_tmp_dir_(), -1, #PB_UTF8))
	AddGadgetItem(0, -1, "current_dir" + #LF$ + PeekS(g_get_current_dir_(), -1, #PB_UTF8))
	
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 5
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/