﻿;======================================================================
; Module/File:     Spin_API_Version 1.pb - Linux
; Function:        SpinGadget native, erstellt API-SpinGadget V1 - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 27, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

;todo:
; in Hauptfenster implementieren
; positionieren
; Signale einhängen

;advantage: stay on arrow for value-scrolling - no permanent clicks like the PureBasic-SpinGadgets

ImportC "";  Replacements for PureBasic-implementations with 'float'/'double'-bugs
	gtk_adjustment_new(value.d, lower.d, upper.d, step_increment.d, page_increment.d, page_size.d)
	gtk_spin_button_new(*adjustment.GtkAdjustment, climb_rate.d, digits.i)
	gtk_spin_button_new_with_range(min.d, max.d, step_.d)
	gtk_spin_button_set_increments(*spin_button.GtkSpinButton, step_.d, page.d)
EndImport


EnableExplicit

; Window Variablen
#MainWin= 0

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.l gEvent, gQuit
Global *window.GtkWidget, *button.GtkWidget, *adjustment.GtkAdjustment


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "API Spin Gadget 1", #PB_Window_SystemMenu)
	
; 	*adjustment = gtk_adjustment_new_(50.0, 0.0, 100.0, 1.0, 5.0, 0.0);   PureBasic-Bug with 'double'-parameter
	*adjustment = gtk_adjustment_new(50.0, 0.0, 100.0, 1.0, 5.0, 0.0);      Ok
	
	*window = gtk_window_new_(#GTK_WINDOW_TOPLEVEL)
	gtk_container_set_border_width_ (*window, 20)
	
	;*button = gtk_spin_button_new_ (*adjustment, 1.0, 0);                  PureBasic-Bug with 'double'-parameter
	*button = gtk_spin_button_new(*adjustment, 1.0, 1);                     Ok
	gtk_spin_button_set_digits_(*button, 0);                                no digits
	gtk_spin_button_set_increments(*button, 2, 10);                         step 2, page 10. Use instead PB-Version with float/double-problem
	gtk_adjustment_value_changed_(*adjustment)
	
	gtk_container_add_(*window, *button);
	
	gtk_widget_show_all_(*window);
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget
				Debug EventGadget()
		EndSelect
		
	Until gQuit
EndIf
	
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 10
; FirstLine = 3
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/