﻿;======================================================================
; Module/File:     TG_LineWrap.pb - Linux
; Function:        TextGadget, ermöglich Zeilenumbruch mit einstellbarem Modus- Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 17, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

Enumeration PangoWrapMode
	#PANGO_WRAP_WORD
	#PANGO_WRAP_CHAR
	#PANGO_WRAP_WORD_CHAR
EndEnumeration

ImportC ""
	gtk_label_set_line_wrap_mode(*label.GtkLabel, wrap_mode)
EndImport

EnableExplicit

; Object constants
#MainWin= 0
#Text1   = 0
#Text2   = 1
#Text3   = 2

#WinX=300
#WinY=200
#WinW=250
#WinH=200

Global.l gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "TextGadget - Umbruch", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 210, 30, "Ein für die Gadget-Breite zu langer Text mit wortweisem Umbruch", #PB_Text_Border)
	TextGadget(#Text2, 5, 40, 210, 30, "Ein für die Gadget-Breite zu langer Text mit zeichenweisem Umbruch", #PB_Text_Border)
	TextGadget(#Text3, 5, 75, 210, 30, "Ein für die Gadget-Breite zu langer Text mit platzweisem Umbruch", #PB_Text_Border)
	
	gtk_label_set_line_wrap_(GadgetID(#Text1), #True)
	gtk_label_set_line_wrap_mode(GadgetID(#Text1), #PANGO_WRAP_WORD); Standard Wortumbruch
	
	gtk_label_set_line_wrap_(GadgetID(#Text2), #True)
	gtk_label_set_line_wrap_mode(GadgetID(#Text2), #PANGO_WRAP_CHAR); Zeichenumbruch
	
	gtk_label_set_line_wrap_(GadgetID(#Text3), #True)
	gtk_label_set_line_wrap_mode(GadgetID(#Text3), #PANGO_WRAP_WORD_CHAR); Platzabhängiger Umbruch
	
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 34
; FirstLine = 9
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/