﻿;======================================================================
; Module/File:     Dialog_About 1.pb - Linux
; Function:        Dialog: Standard-About-Dialog (not complete), loaded window-default-icon used - Linux 
; Author:          Oma (Charly Bauer)
; Date:            Juli 23, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

ImportC ""
	gtk_about_dialog_new()
	gtk_about_dialog_set_program_name(*about, *name)
	gtk_about_dialog_set_version(*about, *version)
	gtk_about_dialog_set_copyright(*about, *copyright)
	gtk_about_dialog_set_comments(*about, *comments)
	gtk_about_dialog_set_license(*about, *license)
	gtk_about_dialog_set_website(*about, *website)
	gtk_about_dialog_set_logo_icon_name(*about, *license)
	gtk_about_dialog_set_logo(*about, *logo)
	gtk_about_dialog_set_authors(*about, *author)
EndImport

EnableExplicit

;UsePNGImageDecoder()

; object variables
#MainWin= 0
#Exp1 = 0

#WinX=300
#WinY=200
#WinW=400
#WinH=300


Global.l gEvent, gQuit, gCounter
Global *err

Procedure ShowAbout()
	Protected.i *about
	Protected.s S= "Programm zum 'about-dialog'-Test" + #LF$ + "mit 2. 'comment'-Zeile"
	
	*about= gtk_about_dialog_new()
	gtk_about_dialog_set_program_name(*about, @"about-test")
	gtk_about_dialog_set_version(*about, @"V1.234")
	gtk_about_dialog_set_copyright(*about, @"(c) by Charly Bauer (Oma)")
	gtk_about_dialog_set_comments(*about, @S);"Programm zum 'about-dialog'-Test" + #LF$ + "mit 2. 'comment'-Zeile")
	gtk_about_dialog_set_license(*about, @"Licensed as Freeware")
	gtk_about_dialog_set_website(*about, @"http://www.chabba.de")
	gtk_about_dialog_set_logo(*about, #Null);                Icon from gtk_window_set_default_icon_from_file
	;gtk_widget_show_(*about)
	Debug gtk_dialog_run_(*about);                           i.e. #GTK_RESPONSE_CANCEL = -6
	gtk_widget_destroy_(*about)
	
EndProcedure

;Pfad auf Icon in eigener Installation anpassen ...
gtk_window_set_default_icon_from_file_(@"/home/charly-xubuntu/Programming/PBSource/Icons/Own/PBtuxSmall.bmp", @*err)

If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "auto sbout-dialog", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	
	ShowAbout()
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 63
; FirstLine = 37
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/