﻿;======================================================================
; Module/File:     Editor_MarginLeft&RightSet.pb - Linux
; Function:        EditorGadget: stellt den linken und rechten Textrand ein - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 20, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================


EnableExplicit

; Object constants
#MainWin= 0
#Edt1    = 0
#SG1    = 1
#SG2    = 2

#WinX=300
#WinY=200
#WinW=300
#WinH=200

Global.l gEvent, gQuit
Global.s EditString1= "Dies ist ein mehrzeiliger editierbarer Text in dem " + 
                      "das Umschalten der Textausrichtung innerhalb " +
                      "eines EditorGadgets per Combo-Box-Auswahl " +
                      "eingestellt und beim Tippen beobachtet werden kann."


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "EditorGadget - right & left margin", #PB_Window_SystemMenu)
	TextGadget(#PB_Any, 5, 9, 70, 20, "left margin", #PB_Text_Right)
	SpinGadget(#SG1, 80, 5, 60, 25, 0, 10, #PB_Spin_Numeric)
	TextGadget(#PB_Any, 150, 9, 70, 20, "right margin", #PB_Text_Right)
	SpinGadget(#SG2, 230, 5, 60, 25, 0, 10, #PB_Spin_Numeric)
	EditorGadget(#Edt1, 5, 35, #WinW-10, #WinH-40, #PB_Editor_WordWrap)
	AddGadgetItem(#Edt1, -1, EditString1)
	
	gtk_text_view_set_wrap_mode_(GadgetID(#Edt1), #GTK_WRAP_WORD);  wortweiser Zeilenumbruch

	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
				
			Case #PB_Event_Gadget
				Select EventGadget()
					Case #SG1
						gtk_text_view_set_left_margin_(GadgetID(#Edt1), GetGadgetState(#SG1))
						;Abfrage:
						; gtk_text_view_get_left_margin_(GadgetID(#Edt1))
					Case #SG2
						gtk_text_view_set_right_margin_(GadgetID(#Edt1), GetGadgetState(#SG2))
						;Abfrage:
						; gtk_text_view_get_right_margin_(GadgetID(#Edt1))
				EndSelect

		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 38
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/