﻿;======================================================================
; Module/File:     Gadget_AddTooltip.pb - Linux
; Function:        Linux: Tooltips on PB-Gadgets without tooltip-function
; Author:          Oma (Charly Bauer)
; Date:            Juli 20, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

ImportC ""
	gtk_widget_set_tooltip_text(*widget.GtkWidget, *text.p-utf8)
EndImport

EnableExplicit

; Object constants
#MainWin=0
#Text= 0

#WinX=300
#WinY=200
#WinW=200
#WinH=100

Global.l gEvent, gQuit
Global *gMem

Procedure.l ToUTF8(S.s);                                     gMem nach Aufruf freigeben
	*gMem= AllocateMemory(StringByteLength(S, #PB_UTF8) + 1)
	Protected *len= PokeS(*gMem, S, -1,  #PB_UTF8);            UTF-8 benötigt, wandeln
	ProcedureReturn *gMem
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Add Tooltip to gadgets", #PB_Window_SystemMenu)
	TextGadget(#Text, 10, 10, 150, 25, "Mouseover")

	gtk_widget_set_tooltip_text(GadgetID(#Text), ToUTF8("no PureBasic-, but API-tooltip is possible - with UTF8-conversion äöüß"))
	FreeMemory(*gMem);                                         frees mem for UTF-8-conversation
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 40
; FirstLine = 12
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/