﻿;======================================================================
; Module/File:     Gadget_IsVisible.pb - Linux
; Function:        Linux: Gadget-Sichtbarkeit abfragen
; Author:          Oma (Charly Bauer)
; Date:            Juli 15, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

ImportC ""
	gtk_widget_get_visible (*widget.GtkWidget)
EndImport

EnableExplicit

; Object constants
#MainWin=0
#Button= 0
#WinX=300
#WinY=200
#WinW=200
#WinH=100

Global.l gEvent, gQuit, gCounter

Procedure RunIt()
	Select gCounter
		Case 0
			HideGadget(#Button, #True)
		Case 1
			Debug "Button sichtbar?: " + Str(gtk_widget_get_visible(GadgetID(#Button)))
		Case 2
			HideGadget(#Button, #False)
		Case 3
			Debug "Button sichtbar?: " + Str(gtk_widget_get_visible(GadgetID(#Button)))
	EndSelect
	gCounter+ 1
EndProcedure


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "Test", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 5, 150, 20, "Do nothing, watch ...")
	ButtonGadget(#Button, 5, 25, 150, 25, "hide me")
	
	AddWindowTimer(0, 0, 1000)
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Timer
				RunIt()
		EndSelect
		
	Until gQuit
EndIf
RemoveWindowTimer(0, 0)
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 42
; FirstLine = 20
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/