﻿;======================================================================
; Module/File:     Panel_SetTabsPos.pb - Linux
; Function:        PanelGadget: Set the position of the tabs - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug. 23, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

ImportC ""
	gtk_notebook_set_tab_reorderable(*notebook.GtkNotebook, *child.GtkWidget, reorderable)
EndImport
EnableExplicit

; Object constants
#MainWin= 0
#CBbox1 = 0
#Panel1 = 1

#WinX=300
#WinY=200
#WinW=410
#WinH=310

Enumeration GtkPositionType
	#GTK_POS_LEFT
	#GTK_POS_RIGHT
	#GTK_POS_TOP
	#GTK_POS_BOTTOM
EndEnumeration

Global.i gEvent, gQuit
Global.i I, gRiders= 4
Global   *widget.GtkWidget


If OpenWindow(#MainWin, 100, 120, #WinW, #WinH, "PanelGadget: Set pos of tab-bar", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#PB_Any, 5, 7, 100, 20, "Choose tab-pos: ")
	ComboBoxGadget(#CBbox1, 105, 2, 150, 26)
	AddGadgetItem(#CBbox1, 0, "Left")
	AddGadgetItem(#CBbox1, 1, "Right")
	AddGadgetItem(#CBbox1, 2, "Top")
	AddGadgetItem(#CBbox1, 3, "Bottom")
	SetGadgetState(#CBbox1, #GTK_POS_TOP)
	
	PanelGadget(#Panel1, 0, 30, 400, 270)
	For I=0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab (Rider) "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	CloseGadgetList()
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
			Case #PB_Event_Gadget
				If EventGadget()= #CBbox1
					gtk_notebook_set_tab_pos_(GadgetID(#Panel1), GetGadgetState(#CBbox1))
				EndIf
		EndSelect
		
	Until gQuit
	
EndIf

End  
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 38
; FirstLine = 9
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/