﻿;======================================================================
; Module/File:     Panel_TabD&DReorderable.pb - Linux
; Function:        PanelGadget: Reorderable tab by Drag & Drop - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug. 23, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

; With gtk2 no label on dragged tabs appears? With gtk3 it's ok.

ImportC ""
	gtk_notebook_set_tab_reorderable(*notebook.GtkNotebook, *child.GtkWidget, reorderable)
EndImport

EnableExplicit

; Object constants
#MainWin= 0
#Text1  = 0
#Panel1 = 1

#WinX=300
#WinY=200
#WinW=410
#WinH=310

Global.i gEvent, gQuit
Global.i I, gRiders= 4
Global   *widget.GtkWidget


If OpenWindow(#MainWin, 100, 120, #WinW, #WinH, "PanelGadget: tab-pos by Drag&Drop", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 300, 20, "Change Tab-Position by Drag&Drop ...")
	PanelGadget(#Panel1, 0, 30, 400, 270)
	
	For I= 0 To gRiders- 1
		AddGadgetItem(#Panel1, -1, " Tab (Rider) "+Str(I))
		TextGadget(#PB_Any, 5, 5, 200, 20, "Panel "+Str(I))
	Next I
	CloseGadgetList()
	
	gRiders= gtk_notebook_get_n_pages_(GadgetID(#Panel1))
	For i= 0 To gRiders- 1
		*widget= gtk_notebook_get_nth_page_(GadgetID(#Panel1), I)
		gtk_notebook_set_tab_reorderable(GadgetID(#Panel1), *widget, #True)
	Next I
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
	
EndIf

End  
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 12
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/