﻿;======================================================================
; Module/File:     MessageRequester_Icon+Markup_Modal.pb - Linux
; Function:        Linux: MessageRequester with OS-Icon, formatet Markuptext - modal
; Author:          Oma (Charly Bauer)
; Date:            Juli 12, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Ubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

;todo
; ParentWindow übergeben
; secondary Text / Markup noch aktivieren
; nonmodale MessageBox
; freie Auswahlbox


;MessageBox-Icons ...
; MbIcon= #GTK_MESSAGE_ERROR
; MbIcon= #GTK_MESSAGE_INFO
; MbIcon= #GTK_MESSAGE_QUESTION
; MbIcon= #GTK_MESSAGE_WARNING

;MessageBox-Response ...
; #GTK_RESPONSE_DELETE_EVENT=  MessageBox closed via Window-Close
; #GTK_RESPONSE_OK          =  MessageBox OK
; #GTK_RESPONSE_CANCEL      =  MessageBox Cancel
; #GTK_RESPONSE_YES         =  MessageBox Yes
; #GTK_RESPONSE_NO          =  MessageBox No


EnableExplicit

; Object constants
#MainWin=0
#But1= 0
#But2= 1

#WinX=300
#WinY=200
#WinW=300
#WinH=100

Global.l gEvent, gQuit


;- Functions ...
Procedure.i MessageBox(ParentWin, MbString.s, MbIcon, MbButtons, UseMarkup.b= #False)
	Protected *dialog.GtkDialog
	Protected.i MbRet
	;Protected.s S= "Hier die echte 2." + #LF$ + "und 3. Textzeile"
	;modal ...
	If UseMarkup
		*dialog = gtk_message_dialog_new_with_markup_(WindowID(ParentWin), #GTK_DIALOG_DESTROY_WITH_PARENT, MbIcon, MbButtons, @MbString, @"", @"")
		;gtk_message_dialog_format_secondary_text_(*dialog, @S, @"", @"");       no function
	Else
		*dialog = gtk_message_dialog_new_(WindowID(ParentWin), #GTK_DIALOG_DESTROY_WITH_PARENT, MbIcon, MbButtons, @MbString, @"", @"")
		EndIf
	MbRet= gtk_dialog_run_(*dialog)
	gtk_widget_destroy_(*dialog)
	ProcedureReturn MbRet
EndProcedure

;-
;- Main ...
If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "native MessageRequester", #PB_Window_SystemMenu)
	ButtonGadget(#But1, 5, 5, 290, 25,  "MessageRequester m. Icon, Markup, modal")
	ButtonGadget(#But2, 5, 35, 290, 25, "MessageRequester m. Icon, modal")
	
	Repeat
		gEvent= WaitWindowEvent()

		Select gEvent

			Case #PB_Event_CloseWindow
				gQuit= #True

			Case #PB_Event_Gadget

				Select EventGadget()

					Case #But1
						Debug MessageBox(#MainWin, "<b>Test-MessageBox</b>" + #LF$ + #LF$ + 
						                           "mit 2. Zeile" + #LF$ + "und 3. Zeile", 
						                 #GTK_MESSAGE_INFO, #GTK_BUTTONS_OK_CANCEL, #True)
						
					Case #But2
						Debug MessageBox(#MainWin, "Test-MessageBox" + #LF$ + 
						                           "mit 2. Zeile", 
						                 #GTK_MESSAGE_INFO, #GTK_BUTTONS_OK_CANCEL)
						
				EndSelect

		EndSelect

	Until gQuit
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 10
; FirstLine = 37
; Folding = -
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/