﻿;======================================================================
; Module/File:     Spin_API_WithWrap.pb - Linux
; Function:        SpinGadget native, with value-wrapping - Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 27, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

;todo:
; in Hauptfenster implementieren
; positionieren
; Signale einhängen
; entschleunigen

;advantage: stay on arrow for value-scrolling - no permanent clicks like the PureBasic-SpinGadgets

ImportC "";  Replacements for PureBasic-implementations with 'float'/'double'-bugs
	gtk_adjustment_new(value.d, lower.d, upper.d, step_increment.d, page_increment.d, page_size.d)
	gtk_spin_button_new(*adjustment.GtkAdjustment, climb_rate.d, digits.i)
	gtk_spin_button_new_with_range(min.d, max.d, step_.d)
EndImport


EnableExplicit

; Window Variablen
#MainWin= 0

#WinX=300
#WinY=200
#WinW=200
#WinH=200

Global.l gEvent, gQuit
Global *window.GtkWidget, *button.GtkWidget, *adjustment.GtkAdjustment
Global.d f= 1, l= 50, s= 1


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "API SpinGadget with wrap", #PB_Window_SystemMenu)
	
;	*adjustment = gtk_adjustment_new(50.0, 0.0, 100.0, 1.0, 5.0, 0.0)
	
	*window = gtk_window_new_(#GTK_WINDOW_TOPLEVEL)
	gtk_container_set_border_width_ (*window, 10)
	
	*button= gtk_spin_button_new_with_range(f, l, s)
	
	gtk_spin_button_set_wrap_(*button, #True)
	
	gtk_container_add_(*window, *button);
	
	gtk_widget_show_all_(*window);
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
	
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 8
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/