﻿;======================================================================
; Module/File:     TG_SetEllipsize.pb - Linux
; Function:        TextGadget, schneidet oder punktet zu langen Text - div. Modi- Linux
; Author:          Oma (Charly Bauer)
; Date:            Juli 17, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
; License:         Free, unrestricted, no warranty
;======================================================================

Enumeration PangoEllipsizeMode
	#PANGO_ELLIPSIZE_NONE
	#PANGO_ELLIPSIZE_START
	#PANGO_ELLIPSIZE_MIDDLE
	#PANGO_ELLIPSIZE_END
EndEnumeration

ImportC ""
	gtk_label_set_ellipsize(*label.GtkLabel, Mode)
EndImport

EnableExplicit

; Object constants
#MainWin= 0
#Text1   = 0
#Text2   = 1
#Text3   = 2
#Text4   = 3

#WinX=300
#WinY=200
#WinW=250
#WinH=200

Global.l gEvent, gQuit


If OpenWindow(#MainWin, #WinX, #WinY, #WinW, #WinH, "TextGadget - ellipsize", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	TextGadget(#Text1, 5, 5, 200, 20, "Ein zu langer, und abgeschnittener Text", #PB_Text_Border)
	TextGadget(#Text2, 5, 35, 200, 20, "Ein zu langer, links gepunkteter Text", #PB_Text_Border)
	TextGadget(#Text3, 5, 65, 200, 20, "Ein zu langer, mittig gepunkteter Text", #PB_Text_Border)
	TextGadget(#Text4, 5, 95, 200, 20, "Ein zu langer, rechts gepunkteter Text", #PB_Text_Border)
	
	gtk_label_set_ellipsize(GadgetID(#Text1), #PANGO_ELLIPSIZE_NONE)
	gtk_label_set_ellipsize(GadgetID(#Text2), #PANGO_ELLIPSIZE_START)
	gtk_label_set_ellipsize(GadgetID(#Text3), #PANGO_ELLIPSIZE_MIDDLE)
	gtk_label_set_ellipsize(GadgetID(#Text4), #PANGO_ELLIPSIZE_END)
	
	Repeat
		gEvent= WaitWindowEvent()
		
		Select gEvent
			Case #PB_Event_CloseWindow
				gQuit= #True
		EndSelect
		
	Until gQuit
EndIf
; IDE Options = PureBasic 5.30 (Linux - x86)
; CursorPosition = 39
; FirstLine = 18
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/