﻿;======================================================================
; Module/File:     Toolbar_ChangeHeight.pb - Linux
; Function:        Toolbar: Set new toolbar height - Linux
; Author:          Oma (Charly Bauer)
; Date:            Aug. 02, 2014
; Version:         0.1
; Target Compiler: PureBasic 5.22 LTS - Linux x86
; Target OS:       Linux - Xubuntu
;======================================================================
; problem: the height of content depends from toolbar-height v.v.
; -> the height of the content also get stretched
; further problem: found no way to get the ID of content like Buttons from PureBasic or API (Gtk-Error). Think that PureBasic-way ist deprecated

Global *widget.GtkWidget

; trial to PureBasic-Example ...
If OpenWindow(0, 0, 0, 150, 150, "ToolBar", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	If CreateToolBar(0, WindowID(0))
		ToolBarStandardButton(0, #PB_ToolBarIcon_New)
		ToolBarStandardButton(1, #PB_ToolBarIcon_Open)
		ToolBarStandardButton(2, #PB_ToolBarIcon_Save)
	EndIf
	
	Debug "original height: " + Str(ToolBarHeight(0));       original toolbar-height
	*widget= ToolBarID(0);                                   toolbar-widget-adress to set GtkWidget-Structure-Type
	*widget\requisition\height= 60;                          set height in Structure 'widget\requisition\height'
	Debug "    new height: " + Str(ToolBarHeight(0));        debug new toolbar-height
	
; 	Debug gtk_toolbar_get_nth_item_(ToolBarID(0), 0);        Gtk-Warning Mixing API 
; 	Debug gtk_toolbar_get_nth_item_(ToolBarID(0), 1)
; 	Debug gtk_toolbar_get_nth_item_(ToolBarID(0), 2)

; no function - automatically set back on click

	Repeat
		Event = WaitWindowEvent()
		If Event = #PB_Event_Menu
			Debug "ToolBar ID: "+Str(EventMenu())
			Debug *widget\requisition\height
		EndIf
	Until Event = #PB_Event_CloseWindow 
EndIf
; IDE Options = PureBasic 5.22 LTS (Linux - x86)
; CursorPosition = 32
; FirstLine = 1
; EnableXP
; CurrentDirectory = /home/charly-xubuntu/Programming/PureBasic/purebasic/